Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks
[Java] Interface TaskDependency

    public interface TaskDependency

A `TaskDependency` represents an unordered set of tasks which a Task depends on. Gradle ensures that all the dependencies of a task are executed before the task itself is executed.

You can add a `TaskDependency` to a task by calling the task's Task.dependsOn method.

Method Summary
`Set` | `getDependencies(Task task)`

Method Detail

### getDependencies

    public Set getDependencies(Task task)

  Determines the dependencies for the given Task. This method is called when Gradle assembles the task execution graph for a build. This occurs after all the projects have been evaluated, and before any task execution begins.

  Parameters:
    `task` - The task to determine the dependencies for.
  Returns:
    The tasks which the given task depends on. Returns an empty set if the task has no dependencies.

Gradle API 1.1-rc-1